
package de.ivu.elect.business.internet.control;

import de.ivu.elect.business.system.entity.BackgroundServiceEvent;
import de.ivu.elect.business.system.entity.SystemLogQuelle;

import javax.enterprise.event.Event;
import javax.inject.Inject;

import static de.ivu.elect.business.system.entity.SystemLogQuelle.PRAESENTATION_BEREITSTELLEN;

public class PraesentationAsynchronBereitstellenEvent implements BackgroundServiceEvent {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient Event<PraesentationAsynchronBereitstellenEvent> event;

  public void sendChangeEvent() {
    event.fire(new PraesentationAsynchronBereitstellenEvent());
  }

  @Override
  public void sendEvent() {
    sendChangeEvent();
  }

  @Override
  public SystemLogQuelle getServiceName() {
    return PRAESENTATION_BEREITSTELLEN;
  }

}